This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1277021 - [platformmanagement_public_514]Should update the import-image help doc
[platformmanagement_public_514]Should update the import-image help doc
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Maciej Szulik
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 00:19 EST by Wei Sun
Modified: 2015-11-23 16:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:16:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2015-11-02 00:19:47 EST
Description of problem:
Now we could import the image successfully when there is no spec.DockerImageRepository but tag is  defined.
But when I run the `oc import-image -h`,I still see 
Only image streams that have a value set for spec.dockerImageRepository may
have tag and image information imported.

We should update the help information.


Version-Release number of selected component (if applicable):
# oc version
oc v1.0.7-109-g3cf7f3c
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4

devenv-rhel7_2619

How reproducible:
Always

Steps to Reproduce:
1.oc import-image -h
2.
3.

Actual results:
# oc import-image -h
Import tag and image information from an external Docker image repository

Only image streams that have a value set for spec.dockerImageRepository may
have tag and image information imported.

Usage:
  oc import-image IMAGESTREAM [options]

Examples:
  $ oc import-image mystream

Options:
      --confirm=false: If true, allow the image stream import location to be set or changed
      --from='': A Docker image repository to import images from

Use "oc options" for a list of global command-line options (applies to all commands).


Expected results:
Remove "Only image streams that have a value set for spec.dockerImageRepository may
have tag and image information imported."



Additional info:
Comment 1 Maciej Szulik 2015-11-03 06:02:12 EST
Fixed in https://github.com/openshift/origin/pull/5628
Comment 2 openshift-github-bot 2015-11-04 01:58:23 EST
Commits pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/6b424a62b05ff630477bad31fa5bf76e84f7fe77
Bug 1277021 - Fixed import-image help information.

https://github.com/openshift/origin/commit/550b949f7e74cbf8367ef45ed73ce1135f2aea81
Merge pull request #5628 from soltysh/bug1277021

Merged by openshift-bot
Comment 3 Wei Sun 2015-11-04 02:38:45 EST
Checked this bug by git clone the latest code,the bug has been fixed.

# oc version
oc v1.0.7-255-g550b949
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4

Result:
oc import-image -h
Import tag and image information from an external Docker image repository

Only image streams that have a value set for spec.dockerImageRepository and/or
spec.Tags may have tag and image information imported.

....

I'll check it again after the devenv-rhel7_2638+ is ready.
Comment 4 Wei Sun 2015-11-04 20:42:00 EST
Checked this bug  in the devenv-rhel7_2638,it has been fixed,so verified it.

Note You need to log in before you can comment on or make changes to this bug.